import React from 'react';
import { connect } from 'react-redux';
const LMS_API = __API__;

class CompanyEntry extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            company_name: '',
            api_key: '',
            companyName: ''
        };

        // this.handleChange = this.handleChange.bind(this);
        this.handleSubmit = this.handleSubmit.bind(this);
    }

    handleCompanyNameChange = (event) => {
        this.setState({ companyName: event.target.value });
    };

    handleSubmit(event) {

        event.preventDefault();
        const form = event.target;
        const data = new FormData(form);
        const sendData = {}

        sendData.companyName = data.get('companyName');
        sendData.productName = data.get('productName');

        console.log(sendData)
        let url = `${LMS_API}/license/create`;

        fetch(url, {
            body: JSON.stringify(sendData), // must match 'Content-Type' header
            cache: 'no-cache', // *default, no-cache, reload, force-cache, only-if-cached
            // credentials: 'include', // include, *omit
            headers: {
                'content-type': 'application/json',
                'X-API-KEY': ''
            },
            method: 'POST', // *GET, PUT, DELETE, etc.
            mode: 'cors', // no-cors, *same-origin
            redirect: 'follow', // *manual, error
            referrer: 'no-referrer', // *client
        })
            .then(response => console.log(response.headers.get('X-API-KEY')));

        //reset Company Name field
        companyName.value = '';
    }

    render() {
        return (
            <form onSubmit={this.handleSubmit}>
                <div className="form-group">
                    <label htmlFor="formGroupExampleInput">Company Name</label>
                    <input name="companyName"
                           type="text"
                           value={this.state.companyName}
                           onChange={this.handleCompanyNameChange}
                           className="form-control"
                           id="companyName"
                           placeholder="Company Name"  />
                </div>
                <div className="form-group">
                    <label htmlFor="formGroupExampleInput2">Product Type</label>
                    <select name="productName" className="form-control">
                        <option>RSA Archer</option>
                    </select>
                </div>
                <button type="submit" className="btn btn-primary">Save</button>
            </form>
        );
    }
}

export default connect(s=>s)(CompanyEntry);
