import _ from 'lodash';

const LMS_API = __API__;

class LicenseManagementService {

    async getCompanies(){
        const url = `${LMS_API}/license/companies`;

        console.log(url);
        const response = await fetch(url, {
            method: 'GET',
            headers: {
                Accept: 'application/json'
            },
            mode: 'cors'
        });
        if (!response.ok) {
            throw new Error(`CompaniesService getCompanies failed, HTTP status ${response.status}`);
        }
        const data = await response.json();

        return _.map(data, (company) => {

            // abstract away the specifics of the LMS API response and take only the fields we care about
            return {
                companyName: _.get(company, 'companyName'),
                licenseKey: _.get(company, 'licenseKey')
            }
        });
    }

}

export default new LicenseManagementService();
