import * as types from './actionTypes';
import licenseManagementService from '../../services/licenseManagement';

export function fetchCompanies() {
    return async(dispatch, getState) => {
        try {
            const companiesArray = await licenseManagementService.getCompanies();

            // console.log(companiesArray)

            dispatch({ type: types.COMPANIES_FETCHED, companiesArray});
        } catch (error) {
            console.error(error);
        }
};
}

export function selectCompany(companyName) {
    return (dispatch, getState) => {
        const selectedCompany = companyName;
        dispatch({ type: types.COMPANY_SELECTED, selectedCompany: selectedCompany  });

    };
}

export function changeFilter(newFilter) {

    return({ type: types.COMPANIES_LIST_FILTERED, searchText: newFilter });
}

export function finalizeCompanySelection() {
    return({ type: types.COMPANIES_SELECTION_FINALIZED });
}
