import _ from 'lodash';
import * as types from './actionTypes';
import Immutable from 'seamless-immutable';

const initialState = Immutable({
    companiesByName: [],
    selectedCompany: [],
    selectionFinalized: false,
    searchText: '',
    filteredCompanies: []
});

export default function reduce(state = initialState, action = {}) {
    switch (action.type) {
        case types.COMPANIES_FETCHED:
            // console.log(action.companiesArray)

            return state.merge({
                companiesByName: action.companiesArray
            });



        case types.COMPANY_SELECTED:
            return state.merge({
                selectedCompany: action.selectedCompany
            });
        case types.COMPANIES_SELECTION_FINALIZED:
            return state.merge({
                selectionFinalized: true
            });
        case types.COMPANIES_LIST_FILTERED:

            break;
        default:
            return state;
    }
}

// selectors
export function getCompanies(state) {
    const companyNameArray = state.companies.companiesByName;
    const companyKeys = _.keys(state.companies.companiesByName);

    return [companyKeys, companyNameArray];
}

export function getSelectedCompany(state) {
    return state.companies.selectedCompany;
}

export function isTopicSelectionValid(state) {
    return state.companies.selectedCompany != null;
}

export function filterCompanyList(state){
    return state.companies;
}
