// // webpack.config.js
// const webpack = require('webpack');
// const path = require('path');
//
// function getApiHost() {
//     let result = 'http://localhost:8085';
//     switch(process.env.NODE_ENV) {
//         case 'production':
//             result = 'http://';
//             break;
//         default:
//             break;
//     }
//     return JSON.stringify(result);
// }
//
// let apiHost = getApiHost();
//
// const config = {
//     context: path.resolve(__dirname, 'src'),
//     entry: './index.jsx',
//     output: {
//         path: path.resolve(__dirname, 'dist'),
//         filename: 'bundle.js'
//     },
//     module: {
//         loaders: [
//             // { test: /\.js(x?)$/, exclude: /node_modules/, loader: 'source-map-loader'},
//             // {
//             //     test: /\.js(x)?$/,
//             //     exclude: /node_modules/,
//             //     loader: 'babel-loader',
//             //     include: [
//             //         path.resolve(__dirname, "src"),
//             //     ],
//             //     query: {
//             //         presets: ['react', 'es2015']
//             //     }
//             // },
//             { test: /\.js$/, loader: 'babel-loader', exclude: /node_modules/ },
//             { test: /\.jsx?$/, loader: 'babel-loader', exclude: /node_modules/ },
//             { test: /\.css$/, loader: 'style-loader!css-loader' },
//             { test: /\.svg$/, loader: 'svg-inline-loader' }
//         ]
//     },
//     resolve: {
//         extensions: ['*', '.js', '.jsx', '.css', '.json'],
//         alias: {
//             'ag-grid-root': __dirname + '/node_modules/ag-grid'
//         }
//     }    ,
//     plugins: [
//         new webpack.SourceMapDevToolPlugin({}),
//         new webpack.DefinePlugin(
//             {
//                 __API__: apiHost
//             }
//         )
//     ],
//     devServer: {
//         compress: true,
//         disableHostCheck: true,
//         host: '0.0.0.0',
//         port: 8081
//     }
//     // module: {
//     //     rules: [{
//     //         test: /\.js$/,
//     //         include: path.resolve(__dirname, 'src'),
//     //         use: [{
//     //             loader: 'babel-loader',
//     //             options: {
//     //                 presets: [
//     //                     ['es2015', { modules: false }]
//     //                 ]
//     //             }
//     //         }]
//     //     }]
//     // }
// };
//
// module.exports = config;
//
let webpack = require('webpack');
const CopyWebpackPlugin = require('copy-webpack-plugin');

function getApiHost() {
    let result = 'http://localhost:8090';
    switch(process.env.NODE_ENV) {
        case 'production':
            result = 'https://vls.verterim.com';
            break;
        default:
            break;
    }
    return JSON.stringify(result);
}

let apiHost = getApiHost();

module.exports = {
    entry: ['regenerator-runtime/runtime',
        './src/index.jsx'
    ],
    output: {
        path: __dirname + '/dist',
        filename: 'bundle.js',
        publicPath: '/dist/'
    },

    module: {
        loaders: [
            { test: /\.js(x?)$/, exclude: /node_modules/, loader: 'source-map-loader'},
            {
                test: /\.js(x)?$/,
                exclude: /node_modules/,
                loader: 'babel-loader',
                query: {
                    presets: ['es2015', 'react', "stage-0"]
                }
            },
            { test: /\.css$/, loader: 'style-loader!css-loader' },
            { test: /\.proto$/, loader: 'protobuf-loader'},
            { test: /\.svg$/, loader: 'url-loader' },


        ]
    },
    resolve: {
        extensions: ['*', '.js', '.jsx', '.css', '.json'],
        alias: {
            'ag-grid-root': __dirname + '/node_modules/ag-grid'
        }
    }
    ,
    plugins: [
        new webpack.SourceMapDevToolPlugin({}),
        new webpack.DefinePlugin(
            {
                __API__: apiHost
            }
        ),
        new CopyWebpackPlugin([
            { from: './index.html', to: './' }
        ])

    ],
    devServer: {
        compress: true,
        disableHostCheck: true,
        host: '0.0.0.0',
        port: 8081
    }
};
